<template>
    <v-container class="lighten-5" fluid>
        <v-row
                align="center"
                justify="center"
        >
            <v-col
                    cols="12"
                    sm="8"
                    md="4"
            >
                <v-card class="elevation-12">
                    <v-toolbar
                            color="#3d5a88"
                            dark
                            flat
                    >
                        <v-toolbar-title>Register</v-toolbar-title>
                        <v-spacer/>
                    </v-toolbar>
                    <v-card-text>
                        <v-form>
                            <v-text-field
                                    label="First name"
                                    name="firstName"
                                    prepend-icon="fas fa-user-edit"
                                    type="text"
                                    v-model="registeredUser.firstName"
                            />

                            <v-text-field
                                    id="lastName"
                                    label="Last Name"
                                    name="lastName"
                                    prepend-icon="fas fa-user-edit"
                                    v-model="registeredUser.lastName"
                            />
                            <v-text-field
                                    id="username"
                                    label="Username"
                                    name="username"
                                    prepend-icon="fas fa-user"
                                    v-model="registeredUser.username"
                            />
                            <v-text-field
                                    id="password"
                                    label="Password"
                                    name="password"
                                    prepend-icon="fas fa-lock"
                                    type="password"
                                    v-model="registeredUser.password"
                            />
                            <v-text-field
                                    id="email"
                                    label="E-mail"
                                    name="email"
                                    prepend-icon="fas fa-envelope"
                                    v-model="registeredUser.email"
                            />
                        </v-form>
                    </v-card-text>
                    <v-card-actions align="center">
                        <v-btn color="primary" v-on:click="registerClicked">Register</v-btn>
                    </v-card-actions>
                    <v-card-text>
                        You already have account? <router-link to="/login">Login here</router-link>
                    </v-card-text>
                </v-card>
            </v-col>
        </v-row>

    </v-container>
</template>

<script>
    import {register} from "../../util/auth";

    export default {
        props: {
            source: String,
        },
        data() {
            return {
                registeredUser:{},
                color: 'primary'
            }
        },
        methods:{
            registerClicked() {
                register(this.registeredUser).then(response => {

                })
            }
        }
    }
</script>